UvcInterface Class Reference

## Public Member Functions

| UvcInterface (char const *sDevice, int aWidth=320, int aHeight=240)
int | Open (void)
int | Close (void)
int | Read (void)
int | GetWidth (void) const
int | GetHeight (void) const
int | GetFrameSize (void) const
void | CopyFrame (unsigned char *dest) const
bool | IsOpen (void) const

## Private Attributes

char const * | device
unsigned char * | frame
int | frameSize
unsigned char * | buffer [2]
int | length [2]
int | fd
v4l2_capability | cap
v4l2_format | fmt
int | width
int | height

## Static Private Attributes

static const int | dht_size =432
static const unsigned char | dht_data []

The documentation for this class was generated from the following files:

- UvcInterface.h
- UvcInterface.cc

Last updated 12 September 2005 21:38:45